﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
    Inherits="_Default" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<html>
<head>
    <title>Test</title>
    <script type="text/javascript">        
        var secondDropDownID = null;
        function SelectedIndexChanged(sender,args)
        {
            if (secondDropDownID)
            {
                //obtain a reference to the second combo
                var secondCombo = $find(secondDropDownID);
            }
        }

        function pageLoad()
        {
        }
    </script>
</head>
<body>
    <form id="Form1" runat="server">
    <asp:ScriptManager runat="server" ID="ScriptManager1">
    </asp:ScriptManager>
   <telerik:RadGrid ID="RadGrid2" DataSourceID="SqlDataSource2" AllowPaging="True" ShowFooter="true"
        runat="server" AutoGenerateColumns="False" AllowSorting="True" 
        PageSize="3" GridLines="None"
        CellPadding="0" AllowAutomaticInserts="true" AllowAutomaticUpdates="true" 
        onitemcommand="RadGrid2_ItemCommand" onitemcreated="RadGrid2_ItemCreated" 
        onitemdatabound="RadGrid2_ItemDataBound">
        <MasterTableView DataKeyNames="EmployeeID" AutoGenerateColumns="false" CommandItemDisplay="Top">
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" HeaderText="Edit column">
                    <ItemStyle Width="50px"></ItemStyle>
                </telerik:GridEditCommandColumn>
                <telerik:GridHTMLEditorColumn UniqueName="Notes" SortExpression="Notes" HeaderText="HTMLEditorColumn"
                    DataField="Notes" FooterText="HTMLEditorColumn footer" HeaderStyle-Width="200px">
                </telerik:GridHTMLEditorColumn>
                <telerik:GridDropDownColumn DataSourceID="SqlDataSource3" AutoPostBackOnFilter="true" ListTextField="TitleOfCourtesy"
                    ListValueField="TitleOfCourtesy" UniqueName="GridDropDownColumn" SortExpression="TitleOfCourtesy"
                    HeaderText="DropDown Column" DropDownControlType="DropDownList" DataField="TitleOfCourtesy"
                    FooterText="DropDown column footer">
                </telerik:GridDropDownColumn>
                <telerik:GridDropDownColumn DataSourceID="SqlDataSource5" ListTextField="City" ListValueField="City"
                    UniqueName="City" SortExpression="City" HeaderText="RadComboBox Column" DataField="City"
                    DropDownControlType="RadComboBox" FooterText="RadComboBox column footer" 
                    AllowVirtualScrolling="true" ShowMoreResultsBox="true" ItemsPerRequest="10">
                </telerik:GridDropDownColumn>
                <telerik:GridDropDownColumn DataSourceID="SqlDataSource4" ListTextField="City" ListValueField="City"
                    UniqueName="SecondColumn" SortExpression="City" HeaderText="RadComboBox Column" DataField="City"
                    DropDownControlType="RadComboBox" FooterText="RadComboBox column footer" 
                    AllowVirtualScrolling="true" ShowMoreResultsBox="true" ItemsPerRequest="10">
                </telerik:GridDropDownColumn>
                <telerik:GridMaskedColumn Mask="(###) ###-####" UniqueName="HomePhone" SortExpression="HomePhone"
                    HeaderText="Masked Column" DataField="HomePhone" FooterText="MaskedColumn footer">
                    <ItemStyle Width="100px"></ItemStyle>
                </telerik:GridMaskedColumn>
                <telerik:GridNumericColumn UniqueName="Extension" SortExpression="Extension" HeaderText="Numeric Column"
                    DataField="Extension" ColumnEditorID="GridNumericColumnEditor1" FooterText="NumericColumn footer">
                </telerik:GridNumericColumn>
                <telerik:GridDateTimeColumn UniqueName="HireDate" PickerType="DateTimePicker" HeaderText="DateTime Column"
                    DataField="HireDate" FooterText="DateTimeColumn footer" DataFormatString="{0:MM/dd/yyyy}"
                    EditDataFormatString="MMMM dd, yyyy hh:mm tt">
                    <ItemStyle Width="120px"></ItemStyle>
                </telerik:GridDateTimeColumn>
                <telerik:GridCalculatedColumn UniqueName="Name" SortExpression="LastName" HeaderText="Calculated Column"
                    DataFields="FirstName, LastName" Expression='{0} + "&nbsp;" + {1}' FooterText="CalculatedColumn footer">
                </telerik:GridCalculatedColumn>
            </Columns>
        </MasterTableView>
        <ClientSettings>
            <Resizing AllowColumnResize="true"></Resizing>
        </ClientSettings>
    </telerik:RadGrid>
    <asp:SqlDataSource ID="SqlDataSource1" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString35 %>"
        ProviderName="System.Data.SqlClient" SelectCommand="SELECT * FROM Customers"
        runat="server"></asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString35 %>"
        InsertCommand="INSERT INTO [Employees] ([LastName], [FirstName], [TitleOfCourtesy], [HireDate], [City], [HomePhone], [Extension], [Notes]) VALUES (@LastName, @FirstName, @TitleOfCourtesy, @HireDate, @City, @HomePhone, @Extension, @Notes)"
        SelectCommand="SELECT * FROM [Employees]" UpdateCommand="UPDATE [Employees] SET [TitleOfCourtesy] = @TitleOfCourtesy, [HireDate] = @HireDate, [City] = @City, [HomePhone] = @HomePhone, [Extension] = @Extension, [Notes] = @Notes WHERE [EmployeeID] = @EmployeeID">
        <DeleteParameters>
            <asp:Parameter Name="EmployeeID" Type="Int32"></asp:Parameter>
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="LastName" Type="String" DefaultValue="" ConvertEmptyStringToNull="false">
            </asp:Parameter>
            <asp:Parameter Name="FirstName" Type="String" DefaultValue="" ConvertEmptyStringToNull="false">
            </asp:Parameter>
            <asp:Parameter Name="TitleOfCourtesy" Type="String"></asp:Parameter>
            <asp:Parameter Name="HireDate" Type="DateTime"></asp:Parameter>
            <asp:Parameter Name="City" Type="String"></asp:Parameter>
            <asp:Parameter Name="HomePhone" Type="String"></asp:Parameter>
            <asp:Parameter Name="Extension" Type="String"></asp:Parameter>
            <asp:Parameter Name="Notes" Type="String"></asp:Parameter>
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="TitleOfCourtesy" Type="String"></asp:Parameter>
            <asp:Parameter Name="HireDate" Type="DateTime"></asp:Parameter>
            <asp:Parameter Name="City" Type="String"></asp:Parameter>
            <asp:Parameter Name="HomePhone" Type="String"></asp:Parameter>
            <asp:Parameter Name="Extension" Type="String"></asp:Parameter>
            <asp:Parameter Name="Notes" Type="String"></asp:Parameter>
        </UpdateParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource runat="server" ID="SqlDataSource3" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString35  %>"
        SelectCommand="SELECT DISTINCT [TitleOfCourtesy] FROM [Employees]"></asp:SqlDataSource>
    <asp:SqlDataSource runat="server" ID="SqlDataSource4" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString35  %>"
        SelectCommand="SELECT DISTINCT [City] FROM [Customers]"></asp:SqlDataSource>
        <asp:SqlDataSource runat="server" ID="SqlDataSource5" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString35  %>"
        SelectCommand="SELECT DISTINCT [City] FROM [Customers]"></asp:SqlDataSource>
    </form>
</body>
</html>
